<template>
  <!-- step 1. описати картку. для того щоб бути впевненим, що картка буде коректно відображатись у подальшому написанні програми. -->
  <!-- <athlete-card :athlete-data="athleteData" isSelected /> -->
  <!-- step 2. описати список карток. у моєму випадку дані для цього списку беруться із описаного нижче у дата.  -->
  <!-- <athletesList :athletesListData="athleteDataList" :isSelectedList="false" /> -->
  <!-- <athletes-general-list title="Main list" :athletes-list-data="athleteDataList" :is-selected-list="false" /> -->
  <athletes-manager />
</template>

<script>

// import athleteCard from './components/athleteCard.vue'; //step 1
// import athletesList from '@/components/athletesList.vue'; //step 2
// import athletesGeneralList from '@/components/athletesGeneralList.vue'; // step 3
import athletesManager from '@/components/athletesManager.vue';


export default {
  name: 'App',
  components: {
    // athleteCard, //step 1
    // athletesList //step 2
    // athletesGeneralList //step 3
    athletesManager
  },

  // data() { //step 1
  //   return {
  //     athleteDataList: [
  //       {
  //         id: 1,
  //         title: "Aritz Tivoli"
  //       },

  //       {
  //         id: 2,
  //         title: "Chipiliro Čermák"
  //       },

  //       {
  //         id: 3,
  //         title: "Chrysa Salvador"
  //       },

  //       {
  //         id: 4,
  //         title: "Marduk Harris"
  //       },

  //       {
  //         id: 5,
  //         title: "Liam Okabe"
  //       },

  //       {
  //         id: 6,
  //         title: "Dorji Čížek"
  //       },

  //       {
  //         id: 7,
  //         title: "Lilija Barre"
  //       },

  //       {
  //         id: 8,
  //         title: "Romy Berg"
  //       },
  //     ],
  //   }
  // },
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
